Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions
curve25519.h File Reference
`#include <botan/pk_keys.h>`

Go to the source code of this file.

## Classes
class | Botan::Curve25519_PrivateKey
class | Botan::Curve25519_PublicKey

## Namespaces
| Botan

## Functions
void | Botan::curve25519_basepoint (uint8_t mypublic[32], const uint8_t secret[32])
void BOTAN_DLL | Botan::curve25519_donna (uint8_t mypublic[32], const uint8_t secret[32], const uint8_t basepoint[32])